#version 460 core

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aNormal;
layout (location = 2) in vec2 aTexCoords;

out gl_PerVertex
{
  vec4 gl_Position;
};

uniform mat4 viewproj;
uniform mat4 model;

void main()
{
	gl_Position = viewproj * model * vec4(aPos, 1.0);
}