#version 460 core

layout(location = 0) in vec3 in_position;
layout(location = 1) uniform mat4x4 viewProjection;
layout(location = 2) uniform mat4x4 modelMatrix;
out gl_PerVertex
{
  vec4 gl_Position;
  float gl_PointSize;
  float gl_ClipDistance[];
};

void main()
{
    gl_Position =  viewProjection * modelMatrix * vec4(in_position, 1);
}